Ubuntu

New Ubuntu Install using Wubi cannot get updates

Asked by oddnerdout on 2008-06-24

Hi I am new to the linux scene so I have no idea why ubuntu is not working. The system I am using is Windows XP on a R40 laptop that has a broken ultrabay, so I can't install Ubuntu using ISO or running a live CD. Anyway, I used Wubi to install Ubuntu and I couldn't get Ubuntu to start. I checked the Web and it said that I needed to run Scandisk to find and fix errors automatically. I did that and Ubuntu started. Unfortunately, when I tried to install updates this is the error that occurred:
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.
Can anyone help me interpret this message and get my ubuntu running well? Thanks for your attention in this matter.

Vojtěch Trefný suggests this article as an answer to your question:
FAQ #52: “'dpkg --configure -a' problem when trying to run Synaptic”.

Jonathan L (jonathanlapalme) said : #2

I also downloaded the Wubi installer, I have windows Xp, the install was smooth, very clean, I am able to boot up run all the
applications provided, use my wireless, wired lan but I am not able to get updates period. Here is the error. I am not sure if I have the universe thing everyone says to have. I checked System, Administraton, Software sources, and Community maintained open source software (universe) is checked.
Any time I try to update in Add/Remove, Synaptic, and using update manager I get this same error. Anyone know the fix?

W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used.GPG error: http://archive.ubuntu.com hardy Release: The following signatures were invalid: NODATA 1 NODATA 2

W: GPG error: http://wine.budgetdedicated.com hardy Release: The following signatures were invalid: NODATA 1 NODATA 2
W: GPG error: http://archive.canonical.com hardy Release: The following signatures were invalid: NODATA 1 NODATA 2
W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used.GPG error: http://security.ubuntu.com hardy-security Release: The following signatures were invalid: NODATA 1 NODATA 2

W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used.GPG error: http://us.archive.ubuntu.com hardy Release: The following signatures were invalid: NODATA 1 NODATA 2

W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used.GPG error: http://us.archive.ubuntu.com hardy-updates Release: The following signatures were invalid: NODATA 1 NODATA 2

W: GPG error: http://us.archive.ubuntu.com hardy-proposed Release: The following signatures were invalid: NODATA 1 NODATA 2
W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/hardy/Release

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/hardy-security/Release

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/hardy/Release

W: Failed to fetch http://archive.canonical.com/ubuntu/dists/hardy/partner/binary-i386/Packages.gz 416 Requested Range Not Satisfiable

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/hardy-updates/Release

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/hardy-proposed/restricted/binary-i386/Packages.bz2 Sub-process bzip2 returned an error code (2)

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/hardy-proposed/universe/binary-i386/Packages.bz2 Sub-process bzip2 returned an error code (2)

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/hardy-proposed/main/binary-i386/Packages.gz Sub-process gzip returned an error code (1)

W: Some index files failed to download, they have been ignored, or old ones used instead.

oddnerdout (jtychang) said : #3

Thanks Vojtěch Trefný, that solved my question.